@echo off

REM https://stackoverflow.com/questions/4051883/batch-script-how-to-check-for-admin-rights
fsutil dirty query %systemdrive% >nul

if %errorLevel% == 0 (
  cd /d "%~dp0"
  regsvr32.exe /u source_filter.ax
) else (
  echo Uninstall requires Administrator privileges
  pause
)
